<?php

session_start();

//session_set_cookie_params(0,"c:/tmp");
//$cookie = session_get_cookie_params();
//while(list($key, $val) = each($cookie)) 
//{ 
//echo $key . ": " . $val;
//echo "<br>";
//}

if (($_SESSION['hb'] == "") || ($_SESSION['hp'] == "")) {
$benutzer=$_POST["hauptbenutzer"];
$passwort=$_POST["hauptpasswort"];
$_SESSION['hb'] = $benutzer;
$_SESSION['hp'] = $passwort;
}else{
$benutzer=$_SESSION['hb'];
$passwort=$_SESSION['hp'];
}


//print $_SESSION['hb'];
//print $_SESSION['hp'];

$monat     = $heute['month'];
$tag_monat = $heute['mday'];
$jahr      = $heute['year'];
$datum     = "$tag_monat.$monat.$jahr";

$filenametxt = dirname($_SERVER["PATH_TRANSLATED"]) . "/kunden.txt";
$filenamehtm = dirname($_SERVER["PATH_TRANSLATED"]) . "/kundentabelle.htm";

//print "<BR>kundentext: " . $filenametxt;
//print "<BR>kundenhtm: " . $filenametxt;
//print "<BR>Benutzer: " . $benutzer;
//print "<BR>Passwort: " . $passwort;

if (!$filetxt = fopen($filenametxt, "r+")) {
print "Kann im Moment die Kunden-TXT nicht öffnen";
exit;
}

if (!$filehtm = fopen($filenamehtm, "r+")) {
print "Kann im Moment die Kunden-HTM nicht öffnen";
exit;
}

if (($benutzer == "") || ($passwort == "")) {
echo "Tragen Sie bitte Ihren Benutzernamen ein!";
echo "<meta http-equiv='refresh' content='2; URL=../Administrator_Loggin.htm'>";
exit;
}

$contenttxt=fread($filetxt,filesize($filenametxt));
$contenthtm=fread($filehtm,filesize($filenamehtm));

//print "<BR><BR> Kundentext: " . $contenttxt;
//print "<BR><BR> HTML-text: " . $contenthtm;

$foundb = strstr($contenttxt, $benutzer);
$foundp = strstr($contenttxt, $passwort);
$posb = strpos($contenttxt, $benutzer);
$posp = strpos($contenttxt, $passwort);

//print "<BR>Gefunden: " . $foundb;
//print "<BR>Gefunden: " . $foundp;
//print "<BR>Gefunden benutzer: " . $posb;
//print "<BR>Gefunden passwort: " . $posp;

$abstand = $posp-$posb;

//print "<BR>Abstand: " . $abstand;


if(($abstand >= 50)||($posb >= 120)||($posb ="")){
echo "<BR>Fehler: " . $posb . " Sie besitzen keine Administratorberechtigung!";
$_SESSION['hb'] = "";
$_SESSION['hp'] = "";
exit;
}else{
$content=str_replace("startstop",$contenttxt,$contenthtm);
print $content;
fclose($filetxt);
fclose($filehtm);
//echo "<meta http-equiv='refresh' content='2; URL=kundentabelle.htm'>";
exit;
}

?>